.\" $NetBSD: wpa_passphrase.8,v 1.3 2008/09/10 20:49:52 reed Exp $
.\"
.Dd September 10, 2008
.Dt WPA_PASSPHRASE 8
.Os
.Sh NAME
.Nm wpa_passphrase
.Nd Set WPA passphrase for a SSID
.Sh SYNOPSIS
.Nm
.Ar ssid
.Ar passphrase
.Sh DESCRIPTION
The
.Nm
utility
pre-computes PSK entries for network configuration blocks of a
.Xr wpa_supplicant.conf 5
file.
It prints a single network configuration block to standard output.
.Pp
The following arguments must be specified on the command line:
.Bl -tag -width passphrase
.It Ar ssid
The SSID whose passphrase should be derived.
.It Ar passphrase
The passphrase to use. If not included on the command line,
passphrase will be read from standard input.
The passphrase must be 8 to 63 characters in length.
.El
.Sh SEE ALSO
.Xr wpa_supplicant.conf 5 ,
.Xr ifconfig 8 ,
.Xr wpa_cli 8 ,
.Xr wpa_supplicant 8
.Sh HISTORY
The
.Nm
utility first appeared in
.Nx 4.0 .
.Sh AUTHORS
The
.Nm
utility was written by
.An Jouni Malinen Aq jkmaline@cc.hut.fi .
This manual page is derived from the
.Pa wpa_passphrase.sgml
file included in the
.Xr wpa_supplicant 8
distribution.
